package models

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
	"time"
)

type Privilege struct {
	ID          primitive.ObjectID `bson:"_id"`
	Name        string             `bson:"name"`
	PrivilegeID string             `bson:"privilegeId"`
	ServiceKey  string             `bson:"serviceKey"`
	Description string             `bson:"description"`
	Type        string             `bson:"type"`
	Value       string             `bson:"value"`
	Price       float64            `bson:"price"`
	CreatedAt   time.Time          `bson:"createdAt"`
	UpdatedAt   time.Time          `bson:"updatedAt"`
	IsDeleted   bool               `bson:"isDeleted"`
	DeletedAt   *time.Time         `bson:"deletedAt"`
}
